Jump to content
TorGuard
  • 0
HiPresto

New Version Crashes

Rate this question

Question

HiPresto

The newest version of TorGuard Lite, 0.3.25, will not work on my Mac, running 10.7.5.

 

When I launched the program this morning, it told me a new version was available. I downloaded the .DMG file, mounted it, and installed. My system gave me an error message, saying that an older version was already in the Applications folder, and did I want to replace it. I clicked "Replace," and the copy continued.

 

I then launched Lite, and my system said it was downloaded from the Internet, did I want to run it. I said yes, and got the familiar interface. I clicked "Connect," and the program crashed. No amount "Ignore," "Restart," r manually closing the program and relaunching did anything.

 

Further, restarting my Mac didn't help either. I trashed Lite, and reinstalled. That didn't help either.

 

So, I reinstalled 0.3.24. It works.

 

Questions: 

 

Why?

What does 0.3.25 do that 0.3.24 doesn't?

Why is there no changelog/buglist available for the TorGuard downloads?

Why is there no program archive for people who may not have kept the previous installer? If I hadn't I would be up that creek right now.

 

Thanks to anyone who can help with these questions. If you are running 10.7.5, DO NOT install the newest update until you're sure you have the previous installer handy in case it doesn't work for you either.

 

-HiPresto.

Share this post


Link to post
Share on other sites

14 answers to this question

Recommended Posts

  • 0
Support

Hello - we have had a few reports and are looking into it - thanks for reporting and we will have a fixed version out very shortly.

 

Regards

Share this post


Link to post
Share on other sites
  • 0
des

HI, i also encounter my Mac, running 10.7.5 crashes.

Any tentative date that this issue will be solve?

 

des 

Share this post


Link to post
Share on other sites
  • 0
landonshaw

THIS EXACT THING happened to me 3 weeks ago, but I didn't have the foresight to keep the previous "install" like you did. I am extremely frustrated, especially as I have used the CHAT on the TORGUARD website for the last 2 weeks to explain the situation...and I have been treated like crap. Makes me want to just get rid of the service!!!

  • Like 1

Share this post


Link to post
Share on other sites
  • 0
HiPresto

@landonshaw:

 

I agree, wholeheartedly, that the supposed "support" chat is absolutely worthless. I had to threaten to cancel my account before I got a tech support person on the line. He told me that the people on the chat are usually pre-sales CSRs. I dont' know whether they are any more effective at that than providing tech support, especially since the banner makes no indication that they are in fact only there to answer pre-sales questions. It is frustrating in the extreme.

 

Anyway, I found out from the ACTUAL tech guy that indeed, they had identified a bug that causes the VPN not to work on Mac 10.7.5. I'm not sure what to suggest, other than to contact tech support ([email protected]) and tell them there is no point in paying for a service that you cannot use due to a bug in the their program. Perhaps they will provide you a download link for the previous version.

 

One thing is for sure, I will not be "upgrading" to a new version unless my current version stops working. And by then, I may have found another VPN provider.

 

Good luck.

 

-HiPresto.

  • Like 1

Share this post


Link to post
Share on other sites
  • 0
nomad111

Same here. The new version is also crashing on my macbook running 10.7.5. I'm using Viscosity instead (which works even better) until Torguard has fixed the issue. 

Share this post


Link to post
Share on other sites
  • 0
Support

Guys, we are working to fix the problem, please use the previous build linked above  if using a version of Mac OSX that will crash, so far only 10.7.X is crashing.

 

Regards

Share this post


Link to post
Share on other sites
  • 0
Caution08

So it's been more than two months since the original post and I'm still having this issue. Are you guys still "working to fix the problem"??? I'm not sure if you are completely inept to solve the issue or lazy a**holes who don't care that paying customers are unable to use the latest version. Whatever the case may be it's a pathetic service that surely won't have any customers left before too long.

I also agree that the chat "support" agent is as useless as the service itself.

Share this post


Link to post
Share on other sites
  • 0
Support

It will be fixed in next release im told, sorry for the delay on that, a few things they had to change around.

 

Regards

Share this post


Link to post
Share on other sites
  • 0
omar

also try, to do complete uninstall first

 

-----

 

 

all the commands got to be in a single line.

remove the break lines please

LITE ON MAC

1) drag it to trash2) sudo rm -R /Users/username/Library/Application\ Support/VPNetworkLLC3)  sudo rm /Users/username/Library/Preferences/net.torguard.TorGuard.plist
VISCOSITY on mac—1) Drag viscosity to trash from application folder
2) UNLOADING THE HELPER TOOLsudo launchctl unload /Library/LaunchDaemons/com.sparklabs.ViscosityVPPHelper.plist
Run it again: it should say now: " Could not find specified service"Thats fine
3) REMOVING THE VISCOSITY HELPER .PLIST filesudo rm /Library/LaunchDaemons/com.sparklabs.ViscosityVPPHelper.plist
4) REMOVING THE HELPER TOOLsudo rm /Library/PrivilegedHelperTools/com.sparklabs.ViscosityVPPHelper
5) REMOVE EVERYTHING IN THIS FOLDERsudo rm -R /Library/Application\ Support/ViscosityVPP
Careful with this one. -R command can erase your whole hdd. Make sure you have the path entered after the -R, or everything goes.You have a good backup, right!? 
6) Removes it from your home directorysudo rm /Users/YOUR-USERNAME-HERE/Library/Preferences/com.sparklabs.vpp.torguard.plist
7) remove the folder with configs // BE CAREFUL WITH -R SWITCH HEREsudo rm -R /Users/YOUR-USERNAME-HERE/Library/Application\ Support/ViscosityVPP_torguard
—first you install lite, then viscosity, then you can have both on mac. but after you install lite, makesure you rename it in applications, 1 click on it, and within 3 s click again, and rename it

Share this post


Link to post
Share on other sites
  • 0
jhkilroy

Is it safe to upgrade to 0.3.31 ? Im still running on 0.3.24 because os x 10.7.5 wont work on the newer versions and I'm too afraid to click ' upgrade ' ... Anyone try the newer one yet ? or is there an official response to it being safe to use ?

 

Thanks

Share this post


Link to post
Share on other sites
  • 0
nomad111

I just tried it, and it's still crashing. Maybe it's best to open a support ticket?

 

Here is the crash log:

 

Process:         TorGuardDesktopQt [69048]
Path:            /Applications/TorGuard.app/Contents/MacOS/TorGuardDesktopQt
Identifier:      TorGuardDesktopQt
Version:         ??? (???)
Code Type:       X86-64 (Native)
Parent Process:  TorGuardDesktopQt [68956]

Date/Time:       2015-11-04 09:50:21.655 +0200
OS Version:      Mac OS X 10.7.5 (11G63)
Report Version:  9

Interval Since Last Report:          567368 sec
Crashes Since Last Report:           56981
Per-App Crashes Since Last Report:   166
Anonymous UUID:                      A8A58E7D-5DCD-4A3A-8BF5-2D529673B19D

Crashed Thread:  Unknown

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x00007fff5fc01028

Backtrace not available

Unknown thread crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000055  rbx: 0x0000000000000000  rcx: 0x0000000000000000  rdx: 0x0000000000000000
  rdi: 0x0000000000000000  rsi: 0x0000000000000000  rbp: 0x0000000000000000  rsp: 0x0000000000000000
   r8: 0x0000000000000000   r9: 0x0000000000000000  r10: 0x0000000000000000  r11: 0x0000000000000000
  r12: 0x0000000000000000  r13: 0x0000000000000000  r14: 0x0000000000000000  r15: 0x0000000000000000
  rip: 0x00007fff5fc01028  rfl: 0x0000000000010203  cr2: 0x00007fff5fc01028
Logical CPU: 0

Binary images description not available


External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 137368
    thread_create: 3
    thread_set_state: 0
 

Share this post


Link to post
Share on other sites
  • 0
nomad111

I was told from Support that we have to stick to 0.3.24, the newer versions won't run on OSX 10.7 :(

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...

×
×
  • Create New...